Index: extensions/oAuth/language/it_IT/description.txt
===================================================================
--- extensions/oAuth/language/it_IT/description.txt	(revision 26630)
+++ extensions/oAuth/language/it_IT/description.txt	(revision 26632)
@@ -1,1 +1,1 @@
-Fornisce vari modi per firmare nella tua galleria (Twitter, Facebook, Google, ecc)
+Fornisce vari modi per collegarsi alla tua galleria (Twitter, Facebook, Google, ecc)
Index: extensions/oAuth/language/it_IT/help.lang.php
===================================================================
--- extensions/oAuth/language/it_IT/help.lang.php	(revision 26630)
+++ extensions/oAuth/language/it_IT/help.lang.php	(revision 26632)
@@ -21,5 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>'] = 'Sulla scheda <b>API Access</b>, <b>creare un OAuth 2.0 Client ID</b>';
 $lang['Once the application is registered update the permissions : set <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>'] = 'Una volta che l\'applicazione è registrata aggiornare le autorizzazioni: impostare <b>Contacts</b> come <em>Read</em> e <b>Social Directory</b> come <em>Read Public</em>';
 $lang['Set <b>%s</b> to <em>%s</em>'] = 'Impostare il <b>%s</b> per <em>%s</em>';
@@ -28,7 +27,9 @@
 <em>%s</em>';
 $lang['Once you have registered, copy and past the created application credentials into this setup page'] = 'Una volta registrato, copiare e incollare le credenziali delle applicazioni create in questa pagina di configurazione';
-$lang['On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>'] = 'Sulla finestra popup <b>Create Client ID</b>, passare alle impostazioni avanzate, fare clic su <b>(more options)</ b>';
-$lang['No registration required for OpenID based providers'] = 'Non è richiesta la registrazione per i providers OpenID base';
 $lang['Go to <a href="%s" target="_blank">%s</a> and create a new application'] = 'Vai a <a href="%s" target="_blank">%s</a> e crea una nuova applicazione';
 $lang['Fill out any required fields such as the application name and description'] = 'Riempire tutti i campi obbligatori, quali il nome e la descrizione';
+$lang['Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>'] = 'Vai a <b>Impostazioni->Avanzate</b> e attiva <em>Client OAuth Login</em>';
+$lang['On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>'] = 'Sulla <b>APIs & auth -> Credenziali</b> tab, <b>Crea nuovo client ID</b>';
+$lang['No registration required'] = 'Nessuna registrazione richiesta';
+$lang['Based on OpenID'] = 'Basato su OpenID';
 ?>
Index: extensions/oAuth/language/it_IT/plugin.lang.php
===================================================================
--- extensions/oAuth/language/it_IT/plugin.lang.php	(revision 26630)
+++ extensions/oAuth/language/it_IT/plugin.lang.php	(revision 26632)
@@ -39,5 +39,4 @@
 $lang['Display sign in buttons on the register page'] = 'Visualizza i pulsanti di accesso sulla pagina di registrazione';
 $lang['Or sign in with'] = 'O accedi con il';
-$lang['OpenID must be enabled in order to use %s authentication'] = 'OpenID deve essere abilitato per poter utilizzare l\'autenticazione %s';
 $lang['Social Connect: You need to configure the credentials'] = 'Social Connect: è necessario configurare le credenziali';
 $lang['Social Connect: PHP Curl extension is needed'] = 'Social Connect: PHP estensione Curl è necessaria';
@@ -47,3 +46,7 @@
 $lang['Icon size in the menubar'] = 'Dimensione delle icone nella barra dei menu';
 $lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'Si è verificato un errore, si prega di contattare il proprietario della galleria. <i>Codice errore : %s</i>';
+$lang['Allow users to merge existing account with new <i>Social Connect</i> identity'] = 'Conseti agli utenti di unire account esistente con la nuova <i>Social Connect</i>';
+$lang['Associate with an existing account'] = 'Associa con un account esistente';
+$lang['Please enter your user ID'] = 'Prego inserisci il tuo ID utente';
+$lang['Cancel'] = 'Cancella';
 ?>