Index: /extensions/see_my_photos/index.php
===================================================================
--- /extensions/see_my_photos/index.php	(revision 26634)
+++ /extensions/see_my_photos/index.php	(revision 26634)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/see_my_photos/language/en_UK/description.txt
===================================================================
--- /extensions/see_my_photos/language/en_UK/description.txt	(revision 26634)
+++ /extensions/see_my_photos/language/en_UK/description.txt	(revision 26634)
@@ -0,0 +1,1 @@
+See photos I've added
Index: /extensions/see_my_photos/language/en_UK/index.php
===================================================================
--- /extensions/see_my_photos/language/en_UK/index.php	(revision 26634)
+++ /extensions/see_my_photos/language/en_UK/index.php	(revision 26634)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/see_my_photos/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/see_my_photos/language/en_UK/plugin.lang.php	(revision 26634)
+++ /extensions/see_my_photos/language/en_UK/plugin.lang.php	(revision 26634)
@@ -0,0 +1,4 @@
+<?php
+$lang['My photos'] = 'My photos';
+
+?>
Index: /extensions/see_my_photos/language/fr_FR/description.txt
===================================================================
--- /extensions/see_my_photos/language/fr_FR/description.txt	(revision 26634)
+++ /extensions/see_my_photos/language/fr_FR/description.txt	(revision 26634)
@@ -0,0 +1,1 @@
+Voir les photos que j'ai ajouté
Index: /extensions/see_my_photos/language/fr_FR/index.php
===================================================================
--- /extensions/see_my_photos/language/fr_FR/index.php	(revision 26634)
+++ /extensions/see_my_photos/language/fr_FR/index.php	(revision 26634)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/see_my_photos/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/see_my_photos/language/fr_FR/plugin.lang.php	(revision 26634)
+++ /extensions/see_my_photos/language/fr_FR/plugin.lang.php	(revision 26634)
@@ -0,0 +1,4 @@
+<?php
+$lang['My photos'] = 'Mes photos';
+
+?>
Index: /extensions/see_my_photos/language/index.php
===================================================================
--- /extensions/see_my_photos/language/index.php	(revision 26634)
+++ /extensions/see_my_photos/language/index.php	(revision 26634)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/see_my_photos/main.inc.php
===================================================================
--- /extensions/see_my_photos/main.inc.php	(revision 26634)
+++ /extensions/see_my_photos/main.inc.php	(revision 26634)
@@ -0,0 +1,63 @@
+<?php
+/*
+Plugin Name: See My Photos
+Version: auto
+Description: See photos I've added
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=722
+Author: ddtddt
+Author URI: 
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+
+define('SMP_DIR' , basename(dirname(__FILE__)));
+define('SMP_PATH' , PHPWG_PLUGINS_PATH . SMP_DIR . '/');
+
+add_event_handler('blockmanager_apply' , 'add_link_SMP');
+add_event_handler('loc_end_section_init', 'section_init_SMP');
+
+
+function add_link_SMP($menu_ref_arr)
+{
+  global $conf, $user;
+
+     $query = '
+SELECT DISTINCT(id)
+  FROM '.IMAGES_TABLE.'
+  INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON id = ic.image_id
+  WHERE added_by = \''.$user['id'].'\'
+;';
+	$result = pwg_query($query);
+	$row = pwg_db_fetch_assoc($result);
+
+  if (!is_a_guest() and !empty($row))
+{  
+  $menu = & $menu_ref_arr[0];
+  
+  if (($block = $menu->get_block('mbSpecials')) != null)
+  {
+    load_language('plugin.lang', SMP_PATH);
+
+    $position = (isset($conf['SMP_position']) and is_numeric($conf['SMP_position'])) ? $conf['SMP_position'] : count($block->data)+1;
+
+    array_splice($block->data, $position-1, 0, array('see_my_photos' =>
+      array(
+        'URL' => make_index_url(array('section' => 'see_my_photos')),
+        'TITLE' => l10n('My photos'),
+        'NAME' => l10n('My photos')
+        )
+      )
+    );
+  }}
+}
+
+function section_init_SMP()
+{
+  global $tokens;
+  if (in_array('see_my_photos', $tokens))
+    include(SMP_PATH . 'pagessmp.php');
+}
+
+
+?>
Index: /extensions/see_my_photos/pagessmp.php
===================================================================
--- /extensions/see_my_photos/pagessmp.php	(revision 26634)
+++ /extensions/see_my_photos/pagessmp.php	(revision 26634)
@@ -0,0 +1,32 @@
+<?php
+
+load_language('plugin.lang', SMP_PATH);
+
+global $page, $conf, $user;
+
+        $forbidden = get_sql_condition_FandF(
+              array( 'visible_images' => 'id' ),
+              'AND'
+          );
+
+$page['section'] = 'see_my_photos';
+
+    $query = '
+SELECT DISTINCT(id)
+  FROM '.IMAGES_TABLE.'
+  INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON id = ic.image_id
+  WHERE added_by = \''.$user['id'].'\'
+    '.$forbidden.'
+    '.$conf['order_by'].'
+;';
+
+    $page = array_merge(
+      $page,
+      array(
+        'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'.l10n('See photos by author').'</a>',
+        'items' => array_from_query($query, 'id'),
+        )
+      );
+
+
+?>