Index: /trunk/admin/history.php
===================================================================
--- /trunk/admin/history.php	(revision 26648)
+++ /trunk/admin/history.php	(revision 26649)
@@ -344,5 +344,5 @@
     while ($row=pwg_db_fetch_assoc($result))
     {
-      $name_of_tag[ $row['id'] ] = '<a href="'.make_index_url( array('tags'=>array($row))).'">'.trigger_event("render_tag_name", $row['name']).'</a>';
+      $name_of_tag[ $row['id'] ] = '<a href="'.make_index_url( array('tags'=>array($row))).'">'.trigger_event("render_tag_name", $row['name'], $row).'</a>';
     }
   }
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 26648)
+++ /trunk/admin/include/functions.php	(revision 26649)
@@ -2155,5 +2155,5 @@
   {
     $raw_name = $row['name'];
-    $name = trigger_event('render_tag_name', $raw_name);
+    $name = trigger_event('render_tag_name', $raw_name, $row);
 
     $taglist[] =  array(
Index: /trunk/admin/tags.php
===================================================================
--- /trunk/admin/tags.php	(revision 26648)
+++ /trunk/admin/tags.php	(revision 26649)
@@ -219,5 +219,5 @@
       while ($row = pwg_db_fetch_assoc($result))
       {
-        $name_of_tag[ $row['id'] ] = trigger_event('render_tag_name', $row['name']);
+        $name_of_tag[ $row['id'] ] = trigger_event('render_tag_name', $row['name'], $row);
       }
 
@@ -359,5 +359,5 @@
 foreach ($orphan_tags as $tag)
 {
-  $orphan_tag_names[] = trigger_event('render_tag_name', $tag['name']);
+  $orphan_tag_names[] = trigger_event('render_tag_name', $tag['name'], $tag);
 }
 
@@ -394,5 +394,5 @@
 {
   $raw_name = $tag['name'];
-  $tag['name'] = trigger_event('render_tag_name', $raw_name);
+  $tag['name'] = trigger_event('render_tag_name', $raw_name, $tag);
   $tag['counter'] = intval(@$tag_counters[ $tag['id'] ]);
   $tag['U_VIEW'] = make_index_url(array('tags'=>array($tag)));
Index: /trunk/include/functions_html.inc.php
===================================================================
--- /trunk/include/functions_html.inc.php	(revision 26648)
+++ /trunk/include/functions_html.inc.php	(revision 26649)
@@ -464,5 +464,5 @@
       .l10n('display photos linked to this tag')
       .'">'
-      .trigger_event('render_tag_name', $page['tags'][$i]['name'])
+      .trigger_event('render_tag_name', $page['tags'][$i]['name'], $page['tags'][$i])
       .'</a>';
 
Index: /trunk/include/functions_search.inc.php
===================================================================
--- /trunk/include/functions_search.inc.php	(revision 26648)
+++ /trunk/include/functions_search.inc.php	(revision 26649)
@@ -583,5 +583,5 @@
   foreach ( $all_tags as &$tag )
   {
-    $tag['name'] = trigger_event('render_tag_name', $tag['name']);
+    $tag['name'] = trigger_event('render_tag_name', $tag['name'], $tag);
   }
 }
Index: /trunk/include/functions_tag.inc.php
===================================================================
--- /trunk/include/functions_tag.inc.php	(revision 26648)
+++ /trunk/include/functions_tag.inc.php	(revision 26649)
@@ -90,5 +90,5 @@
     {
       $row['counter'] = $counter;
-      $row['name'] = trigger_event('render_tag_name', $row['name']);
+      $row['name'] = trigger_event('render_tag_name', $row['name'], $row);
       $tags[] = $row;
     }
@@ -112,5 +112,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    $row['name'] = trigger_event('render_tag_name', $row['name']);
+    $row['name'] = trigger_event('render_tag_name', $row['name'], $row);
     $tags[] = $row;
   }
@@ -278,5 +278,5 @@
   while($row = pwg_db_fetch_assoc($result))
   {
-    $row['name'] = trigger_event('render_tag_name', $row['name']);
+    $row['name'] = trigger_event('render_tag_name', $row['name'], $row);
     $tags[] = $row;
   }
Index: /trunk/tools/triggers_list.php
===================================================================
--- /trunk/tools/triggers_list.php	(revision 26648)
+++ /trunk/tools/triggers_list.php	(revision 26649)
@@ -685,12 +685,12 @@
   'name' => 'render_tag_name',
   'type' => 'trigger_event',
+  'vars' => array('string', 'tag_name', 'array', 'tag'),
+  'files' => array('admin\include\functions.php (get_taglist)', 'admin\tags.php', 'admin\history.php', 'include\functions_tag.inc.php (get_available_tags, get_all_tags, get_common_tags)', 'include\functions_html.inc.php (get_tags_content_title)', 'include\functions_search.inc.php (get_qsearch_tags)'),
+),
+array(
+  'name' => 'render_tag_url',
+  'type' => 'trigger_event',
   'vars' => array('string', 'tag_name'),
-  'files' => array('admin\include\functions.php (get_taglist)', 'admin\tags.php', 'include\functions_tag.inc.php (get_available_tags, get_all_tags, get_common_tags)', 'index.php'),
-),
-array(
-  'name' => 'render_tag_url',
-  'type' => 'trigger_event',
-  'vars' => array('string', 'tag_name'),
-  'files' => array('include\functions.php (tag_id_from_tag_name, create_tag)', 'admin\tags.php'),
+  'files' => array('admin\include\functions.php (tag_id_from_tag_name, create_tag)', 'admin\tags.php'),
 ),
 array(