Index: /extensions/piwishack/language/fa_IR/description.txt
===================================================================
--- /extensions/piwishack/language/fa_IR/description.txt	(revision 26652)
+++ /extensions/piwishack/language/fa_IR/description.txt	(revision 26652)
@@ -0,0 +1,5 @@
+نمایش لیست فرمت و پیوندها برای مشاهده تصاویر خود را در وب سایت های دیگر 
+<q>
+هرگونه اشتباه ویا مشکلی را با  مترجم افزونه  درمیان بگذارید
+ipic
+</q> 
Index: /extensions/piwishack/language/fa_IR/index.php
===================================================================
--- /extensions/piwishack/language/fa_IR/index.php	(revision 26652)
+++ /extensions/piwishack/language/fa_IR/index.php	(revision 26652)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fa_IR/plugin.lang.php	(revision 26652)
+++ /extensions/piwishack/language/fa_IR/plugin.lang.php	(revision 26652)
@@ -0,0 +1,75 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['admin_title'] = 'پیکربندی PiwiShack ';
+$lang['admin_used_by'] = 'Piwishack قابل استفاده خواهد بود';
+$lang['admin_window_open_other'] = 'پنجره دیگر (توصیه نمی شود)';
+$lang['post_code_ImageToGallery'] = 'حالت مشاهده مشاهده معمولی (قابل کلیک، لینک به گالری)';
+$lang['post_code_NameToGallery'] = 'نام برای تصویر، همراه با لینک به گالری';
+$lang['post_code_NameToImage'] = 'نام برای تصویر، همراه با لینک به تصویر';
+$lang['post_code_Thumbnail'] = 'مشاهده تصویر انگشتی (بدون لینک)';
+$lang['Partage_me'] = 'اشتراک تصویر شما';
+$lang['admin_codes_help'] = 'نکته: هر عدد ترتیب استفاده برای صفحه نمایش تعریف می کند. "0" می تواند استفاده شود اگر شما نمی خواهید برای نمایش یک الگوی رشته است.';
+$lang['admin_fieldset_main'] = 'پارامتر های اصلی';
+$lang['admin_img_name'] = 'آیا نام تصویر قبل از کد نمایش داده شود؟';
+$lang['admin_used_by_admin'] = 'فقط مدیر کل';
+$lang['admin_window_open_local'] = ' پنجره جاری ( استاندارد )';
+$lang['admin_codes_img'] = 'تصویر بدون لینک';
+$lang['admin_codes_img_to_page'] = '
+تصویر با لینک به گالری';
+$lang['admin_codes_name_to_image'] = '
+تصویر با لینک به گالری';
+$lang['admin_codes_name_to_page'] = 'نام تصویر همراه با لینک به تصویر';
+$lang['admin_codes_thumb'] = 'تصویر کوچک بدون لینک';
+$lang['admin_codes_thumb_to_image'] = 'تصویر کوچک همراه با لینک به تصویر';
+$lang['admin_codes_thumb_to_page'] = 'تصویر کوچک همراه با لینک به صفحه گالری';
+$lang['admin_default_sheet'] = 'قالب برگه نمایش داده شود به طور پیش فرض است';
+$lang['admin_fieldset_codes'] = 'انتخاب کدهای Piwishack';
+$lang['admin_fieldset_custom'] = 'برگه های اضافه: کد رشته قابل تنظیم';
+$lang['post_code_ThumbnailToGallery'] = 'نمایش انگشتی (قابل کلیک، لینک به گالری)';
+$lang['post_code_ThumbnailToImage'] = 'نمایش انگشتی (قابل کلیک، لینک به تصویر)';
+$lang['sheet_bbcode'] = 'هسته بی بی کد';
+$lang['sheet_custom'] = 'دیگر کد ها';
+$lang['sheet_html'] = 'هسته اچ تی ام ل';
+$lang['admin_custom_code'] = 'کد سفارشی#';
+$lang['admin_default_sheet_html'] = 'HTLM (برای سایت و بلاگ)';
+$lang['close'] = 'بستن';
+$lang['close_window_piwishack'] = 'بستن پنجره ی PiwiShack ';
+$lang['custom_code'] = 'کد سفارشی#';
+$lang['open_window_piwishack'] = 'باز کرد پنجره PiwiShack ';
+$lang['post_code_Image'] = 'تماشا به صورت نمایش معمولی   بدون لینک';
+$lang['admin_custom_help'] = '
+نکته: شما می توانید متغیر های زیر را در الگوهای خود استفاده کنید:<br /><label><span class="pattern">##i</span></label>: URL of the image - 
+ <label><span class="pattern">##t</span></label>: URL of the thumbnail - 
+ <label><span class="pattern">##g</span></label>: URL of the gallery page -
+ <label><span class="pattern">##n</span></label>: name of the image<br />';
+$lang['admin_custom_name'] = 'نام';
+$lang['admin_default_sheet_bbcode'] = 'بی بی کد ( برای فرم و سایت ها )  ';
+$lang['admin_default_sheet_custom'] = 'سفارشی';
+$lang['admin_img_name_all'] = 'همیشه';
+$lang['admin_img_name_list'] = 'فقط برای این لیست';
+$lang['admin_img_name_never'] = 'هرگز';
+$lang['admin_save'] = 'ذخیره';
+$lang['admin_used_by_all'] = 'برای تمام بازدیدکنندگان ';
+$lang['admin_used_by_members'] = 'اعضای ثبت نام شده';
+$lang['admin_window_open'] = 'باز شود در HTMLپیوند ';
+?>