Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 26653)
+++ /trunk/language/fa_IR/common.lang.php	(revision 26654)
@@ -59,12 +59,12 @@
 $lang['Close this window'] = "بستن این پنجره";
 $lang['Complete RSS feed (photos, comments)'] = 'خوراک RSS کامل (عکس ها و دیدگاه ها)';
-$lang['Confirm Password'] = 'پذیرش گذرواژه';
+$lang['Confirm Password'] = 'تایید رمز عبور';
 $lang['Connection settings'] = "تنظیمات اتصال";
 $lang['Login'] = "ورود";
-$lang['Contact webmaster'] = 'تماس با مدیرکل';
+$lang['Contact webmaster'] = 'ارتباط مدیرکل';
 $lang['Create a new account'] = "ایجاد حساب تازه";
 $lang['Created on'] = "ایجاد شده در";
 $lang['Creation date'] = "تاریخ ایجاد";
-$lang['Current password is wrong'] = "گذرواژه وارد شده اشتباه است.";
+$lang['Current password is wrong'] = '!!رمز وارد شده اشتباه است.';
 $lang['Dimensions'] = "ابعاد";
 $lang['Display'] = "نمایش";
@@ -72,5 +72,5 @@
 $lang['Email address'] = "آدرس های ایمیل";
 $lang['Enter your personnal informations'] = "داده های خصوصی خود را وارد نمایید";
-$lang['Error sending email'] = "خطا در فرستادن ایمیل";
+$lang['Error sending email'] = 'خطا در فرستادن ایمیل :(';
 $lang['File name'] = "نام فایل";
 $lang['File'] = "فایل";
@@ -78,5 +78,5 @@
 $lang['Filter and display'] = "فیلتر کن و نمایش بده";
 $lang['Filter'] = "فیلتر";
-$lang['Forgot your password?'] = 'گذرواژه خود را فراموش کرده اید ؟';
+$lang['Forgot your password?'] = 'رمز ورود خود را فراموش کرده اید ؟';
 $lang['Go through the gallery as a visitor'] = "بازدید از گالری به عنوان مهمان";
 $lang['Help'] = "کمک";
@@ -91,5 +91,5 @@
 $lang['Original dimensions'] = "ابعاد اصلی";
 $lang['Password forgotten'] = "گذرواژه فراموش شده";
-$lang['Password'] = "گذرواژه";
+$lang['Password'] = 'رمز عبور';
 $lang['Post date'] = 'تاریخ فرستاده شدن';
 $lang['Posted on'] = "فرستاده شده در";
@@ -101,5 +101,5 @@
 $lang['Related tags'] = "برچسب های مربوط";
 $lang['Reset'] = 'بازنشانی';
-$lang['Retrieve password'] = "بازیابی گذرواژه";
+$lang['Retrieve password'] = 'بازیابی رمز عبور';
 $lang['Search rules'] = "قوانین جستجو";
 $lang['Search tags'] = "جستجوی برچسب ها";
@@ -212,5 +212,5 @@
 $lang['display most visited photos'] = 'نمایش عکس هایی که بیشترین بازدید را داشته اند';
 $lang['Unknown identifier'] = "ناشناخته";
-$lang['New password'] = "گذرواژه تازه";
+$lang['New password'] = 'رمز ورود تازه';
 $lang['Rate this photo'] = "امتیاز دادن به این عکس";
 $lang['Next'] = "بعدی";
@@ -219,5 +219,5 @@
 $lang['Photos posted within the last %d days.'] = 'فقط عکس هایی که در %d روز قبل فرستاده شده اند.';
 $lang['password updated'] = "گذرواژه بروزرسانی شد";
-$lang['Recent period must be a positive integer value'] = "Recent period must be a positive integer value";
+$lang['Recent period must be a positive integer value'] = 'مدت های اخیر باید مقداری عدد صحیح مثبت شود';
 $lang['photo'] = "عکس";
 $lang['Click on the photo to see it in high definition'] = "برای مشاهده هر عکس در اندازه ی اصلی روی آن کلیک کنید.";
@@ -230,5 +230,5 @@
 $lang['Recent albums'] = "آلبوم های تازه";
 $lang['display recently updated albums'] = "نمایش آلبوم های تازه بروز رسانی شده";
-$lang['Recent period'] = "Recent period";
+$lang['Recent period'] = 'مدت های اخیر';
 $lang['Recent photos'] = "عکس های تازه";
 $lang['display most recent photos'] = 'نمایش تازه ترین عکس ها';
@@ -249,5 +249,5 @@
 $lang['Search for words'] = 'جستجوی واژه ها';
 $lang['Search for all terms'] = 'جستجوی همه ی واژه ها';
-$lang['Empty query. No criteria has been entered.'] = 'شما هیچ معیاری برای جستجو تأیین نکرده اید.';
+$lang['Empty query. No criteria has been entered.'] = 'شما هیچ معیاری برای جستجو تعیین نکرده اید.';
 $lang['Search results'] = "نتایج جستجو";
 $lang['Search in sub-albums'] = "جستجو در زیرآلبوم ها";
@@ -284,5 +284,5 @@
 $lang['Album: %s'] = 'آلبوم: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'وضعیت بد برای کاربر "مهمان"، وضعیت پیشفرض استفاده خواهد شد . خواهشمند است این موضوع را با مدیر‌کل در میان بگذارید.';
-$lang['this email address is already in use'] = 'یک کاربر دیگر این آدرس ایمیل را در سیستم ثبت کرده است';
+$lang['this email address is already in use'] = 'این ایمیل در سیستم ثبت بوده شما نمی توانید  از ان استفاده کنیدیک کاربر دیگر این آدرس ایمیل را در سیستم ثبت کرده است ';
 $lang['Album results for'] = "نتایج آلبوم برای";
 $lang['Tag results for'] = "نتایج برچسب برای";
@@ -323,23 +323,23 @@
 $lang['I want to add photos'] = 'می‌خواهم عکس تازه اضافه کنم';
 $lang['Manage this user comment: %s'] = 'مدیریت دیدگاه های %s';
-$lang['Email address is missing. Please specify an email address.'] = "کاربر آدرس ایمیل ندارد. خواهشمند است یک آدرس ایمیل مشخص کنید.";
+$lang['Email address is missing. Please specify an email address.'] = 'کاربر آدرس ایمیل ندارد. لطفا یک آدرس ایمیل مشخص کنید.';
 $lang['This author modified following comment:'] = 'این نویسنده دیدگاه زیر را تغییر داده است:';
 $lang['This author removed the comment with id %d'] = 'این نویسنده، دیدگاهی با شناسه ی %d را پاک کرده است';
 $lang['html tags are not allowed in login'] = 'شما در فرم ورود مجاز به استفاده از كدهای HTML نیستید';
 $lang['%d rates'] = '%d امتیاز';
-$lang['Change my password'] = 'ویرایش گذرواژه';
+$lang['Change my password'] = 'ویرایش رمز ورود';
 $lang['Check your email for the confirmation link'] = 'برای مشاهده ی لینک پذیرش ایمیل خود را چک کنید';
 $lang['Download this file'] = 'دانلود این فایل';
 $lang['Download'] = 'دانلود';
 $lang['Edit'] = 'ویرایش';
-$lang['Enter your new password below.'] = 'گذرواژه ی تازه ی خود را در زیر وارد کنید.';
-$lang['EXIF Metadata'] = 'EXIF Metadata';
+$lang['Enter your new password below.'] = 'رمز ورود تازه ی خود را در زیر وارد کنید.';
+$lang['EXIF Metadata'] = 'EXIFابرداده';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'اگر اشتباهی رخ داده است، این ایمیل را نادیده بگیرید و به آن پاسخ ندهید.';
-$lang['Invalid key'] = 'کلید اشتباه است';
+$lang['Invalid key'] = '!!کلید اشتباه است';
 $lang['Invalid username or email'] = 'نام کاربری یا ایمیل نامعتبر است';
-$lang['IPTC Metadata'] = 'IPTC Metadata';
+$lang['IPTC Metadata'] = 'IPTC ابرداده';
 $lang['Number of photos per page'] = 'تعداد عکس ها در هر صفحه';
 $lang['Password reset is not allowed for this user'] = 'بازنشانی گذرواژه برای این کاربر ممکن نیست';
-$lang['Password Reset'] = 'بازنشانی گذرواژه';
+$lang['Password Reset'] = 'بازنشانی رمز عبور';
 $lang['Please enter your username or email address.'] = 'نام کاربری یا ایمیل خود را وارد کنید.';
 $lang['Rating score'] = 'مقدار امتیاز';
@@ -373,5 +373,5 @@
 $lang['Numeric identifier, 9 &rarr; 1'] = 'شناسه ی عددی، نُه &rarr; یک';
 $lang['Original'] = 'اصلی';
-$lang['Password: %s'] = 'گذرواژه: %s';
+$lang['Password: %s'] = 'رمز عبور: %s';
 $lang['Photo sizes'] = 'اندازه ی عکس ها';
 $lang['Photo title, A &rarr; Z'] = 'عنوان عکس، A &rarr; Z';
@@ -382,6 +382,7 @@
 $lang['Show latest comments first'] = 'ابتدا تازه ترین دیدگاه ها را نشان بده';
 $lang['Show oldest comments first'] = 'ابتدا قدیمی ترین دیدگاه ها را نشان بده';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'با موفقیت نام نویسی کردید، به زودی ایمیلی حاوی اطلاعات ورود برای شما فرستاده می شود.
-خوش آمدید!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'خوش آمدید
+ثبت نام شما با موفقیت انجام شد ، به زودی ایمیلی حاوی اطلاعات ورود برای شما فرستاده می شود.
+';
 $lang['Thank you for registering at %s!'] = 'با سپاس از نام نویسی شما در %s !';
 $lang['Username modification'] = 'ویرایش نام کاربری';
@@ -399,11 +400,11 @@
 $lang['square'] = 'مربع';
 $lang['thumb'] = 'عکس بندانگشتی';
-$lang['xlarge'] = 'XL - بسیار بزرگ';
-$lang['xsmall'] = 'XS - بسیار کوچک';
-$lang['xxlarge'] = 'XXL - بزرگترین';
+$lang['xlarge'] = ' بسیار بزرگ';
+$lang['xsmall'] = ' بسیار کوچک';
+$lang['xxlarge'] = ' بزرگترین';
 $lang['%d rate'] = '%d امتیاز';
 $lang['Bad request'] = 'درخواست اشتباه';
-$lang['Forbidden'] = 'اجازه ی دسترسی ندارید';
-$lang['Page not found'] = 'برگه پیدا نشد';
+$lang['Forbidden'] = 'اجازه ی دسترسی ندارید{گم شدید؟؟}';
+$lang['Page not found'] = 'برگه پیدا نشد !';
 $lang['Permalink for album not found'] = 'لینک ثابتی برای این آلبوم پیدا نشد';
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo با یک خطای غیر قابل بازیابی مواجه گردید';
Index: /trunk/language/fa_IR/iso.txt
===================================================================
--- /trunk/language/fa_IR/iso.txt	(revision 26653)
+++ /trunk/language/fa_IR/iso.txt	(revision 26654)
@@ -1,1 +1,2 @@
-پارسی [IR]
+فارسی [IR] 
+Fa_IR