Index: /extensions/oAuth/language/fa_IR/help.lang.php
===================================================================
--- /extensions/oAuth/language/fa_IR/help.lang.php	(revision 26657)
+++ /extensions/oAuth/language/fa_IR/help.lang.php	(revision 26657)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'] = '  قرار دادن دامنه به وب سایت خود در رشتهرا. این باید با نام هاست %s فعلی مطابقت:<em>%s</em>';
+$lang['Go to <a href="%s" target="_blank">%s</a> and create a new application'] = 'رفتن به<a href="%s" target="_blank">%s</a> وایجادنرم افزار ';
+$lang['Go to <b>Settings->Advanced</b> and activate <em>Client OAuth Login</em>'] = 'رفتن به تنظیمات>انتخابی <em>Client OAuth Login</em> وفعال کردن ';
+$lang['No registration required'] = '
+بدون، ثبت آن نیز الزامی';
+$lang['On the <b>APIs & auth -> Credentials</b> tab, <b>Create new client ID</b>'] = ' در<b>APIs & auth -> Credentials</b><b>ساختن شناسه جدید </b>';
+$lang['Once the application is registered update the permissions : set <b>Contacts</b> as <em>Read</em> and <b>Social Directory</b> as <em>Read Public</em>'] = '
+هنگامی که برنامه بر ثبت شده به روز رسانی اختیارات و سطوح دسترسی: تنظیم<b>محتوا</b> as <em>خوندن</em> و <b>اجتماعی</b> as <em>خواندن همگانی</em>';
+$lang['Once you have registered, copy and past the created application credentials into this setup page'] = '
+پس از ثبت نام، کپی و اعتبار برنامه ایجاد شده به داخل این صفحه راه اندازی پیست کنید';
+$lang['Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'] = 'ارائه این URL به عنوان پاسخ به تماس / تغییر مسیر پیوند برای درخواست شما: <em>%s</em>';
+$lang['Set <b>%s</b> to <em>%s</em>'] = ' تظیم <b>%s</b> به<em>%s</em>';
+$lang['Based on OpenID'] = 'مبتنی بر OpenID ';
+$lang['Fill out any required fields such as the application name and description'] = '
+ هر گونه اطلاعات لازم مانند نام نرم افزار و توضیحات را پر کنید';
+?>
Index: /extensions/oAuth/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/fa_IR/plugin.lang.php	(revision 26656)
+++ /extensions/oAuth/language/fa_IR/plugin.lang.php	(revision 26657)
@@ -52,3 +52,6 @@
 سرویس دهنده';
 $lang['Sign in with %s'] = '%sورود با';
+$lang['Allow users to merge existing account with new <i>Social Connect</i> identity'] = 'کاربران اجازه می دهد به ادغام حساب کنونی با جدید <i>اتصال به شبکه های اجتماعی</i>';
+$lang['Associate with an existing account'] = '
+مرتبط با حساب کنونی:';
 ?>