Index: /extensions/EasyCaptcha/language/eo_EO/description.txt
===================================================================
--- /extensions/EasyCaptcha/language/eo_EO/description.txt	(revision 26676)
+++ /extensions/EasyCaptcha/language/eo_EO/description.txt	(revision 26676)
@@ -0,0 +1,1 @@
+Amuza kontraŭroboto sistemo por komentoj, registrado, kontakta formularo kaj gastlibro.
Index: /extensions/EasyCaptcha/language/eo_EO/icons.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/eo_EO/icons.lang.php	(revision 26676)
+++ /extensions/EasyCaptcha/language/eo_EO/icons.lang.php	(revision 26676)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['scissors'] = 'la tondilo';
+$lang['shoe'] = 'la ŝuo';
+$lang['shopping cart'] = 'la aĉetkorbo';
+$lang['suitcase'] = 'la valizo';
+$lang['trash'] = 'la rubujo';
+$lang['DVD'] = 'la lumdiskego';
+$lang['ball'] = 'la pilko';
+$lang['battery'] = 'la pilo';
+$lang['bicycle'] = 'la biciklo';
+$lang['binoculars'] = 'la binoklo';
+$lang['book'] = 'la libro';
+$lang['calculator'] = 'la kalkulilo';
+$lang['calendar'] = 'la kalendaro';
+$lang['camera'] = 'la kamerao';
+$lang['car'] = 'la veturilo';
+$lang['cookie'] = 'la kuketo';
+$lang['disk'] = 'la disko';
+$lang['guitar'] = 'la gitaro';
+$lang['hat'] = 'la ĉapelo';
+$lang['house'] = 'la domo';
+$lang['lock'] = 'la seruro';
+$lang['magnifying glass'] = 'la lupeo';
+$lang['mobile phone'] = 'la poŝtelefono';
+$lang['pencil'] = 'la krajono';
+$lang['printer'] = 'la printilo';
+?>
Index: /extensions/EasyCaptcha/language/eo_EO/pets.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/eo_EO/pets.lang.php	(revision 26676)
+++ /extensions/EasyCaptcha/language/eo_EO/pets.lang.php	(revision 26676)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['bat'] = 'la vesperto';
+$lang['butterfly'] = 'la papilio';
+$lang['cat'] = 'la kato';
+$lang['dog'] = 'la hundo';
+$lang['duck'] = 'la anaso';
+$lang['eagle'] = 'la aglo';
+$lang['elephant'] = 'la elefanto';
+$lang['fish'] = 'la fiŝo';
+$lang['fox'] = 'la vulpo';
+$lang['frog'] = 'la rano';
+$lang['horse'] = 'la ĉevalo';
+$lang['ladybug'] = 'la kokcinelo';
+$lang['lion'] = 'la leono';
+$lang['mouse'] = 'la muso';
+$lang['panda'] = 'la pando';
+$lang['penguin'] = 'la pingveno';
+$lang['snake'] = 'la serpento';
+$lang['toucan'] = 'la tukano';
+?>
Index: /extensions/EasyCaptcha/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/EasyCaptcha/language/eo_EO/plugin.lang.php	(revision 26675)
+++ /extensions/EasyCaptcha/language/eo_EO/plugin.lang.php	(revision 26676)
@@ -50,3 +50,10 @@
 $lang['Invalid answer'] = 'Nevalida respondo';
 $lang['Invalid color code <i>%s</i>'] = 'Nevalida kolorkodo <i>%s</i>';
+$lang['We detected that Crypto Captcha plugin is available on your gallery. Both plugins can be used at the same time, but you should not under any circumstances activate both of them on the same page.'] = 'Ni detektas, ke la kromaĵo Crypto Captcha disponeblas en via galerio. Ambaŭ kromaĵoj povas uziĝi samtempe, sed vi nepre ne aktivigu ambaŭ ilin sur la sama paĝo.';
+$lang['This challenge requires that JavaScript is enabled on the visitor browser. About 1% of Internet users have Javascript disabled.'] = 'Tiu testo bezonas, ke JavaScript aktiviĝu en la vizitanta foliumilo. Ĉirkaŭ 1% da retaj uzantoj havas malaktivan kromaĵon JavaScript.';
+$lang['You must activate JavaScript in your browser in order to be able to add a comment, sorry for the inconvenience.'] = 'Vi devas aktivigi la komaĵon JavaScript en via foliumilo, por ke vi povu aldoni komenton, pardonon pro la ĝeno.';
+$lang['You are player X, click on the right case to complete the line.'] = 'Vi estas la X-ludanto, alklaku sur la taŭga kadro por kompletigi linion.';
+$lang['Image drag & drop'] = 'Ŝovmeti bildon';
+$lang['Tic-tac-toe minigame'] = 'Ludeto X-kaj-O';
+$lang['Tic-tac-toe options'] = 'Opcioj de la ludo X-kaj-O';
 ?>