Index: /trunk/language/mn_MN/admin.lang.php
===================================================================
--- /trunk/language/mn_MN/admin.lang.php	(revision 26692)
+++ /trunk/language/mn_MN/admin.lang.php	(revision 26693)
@@ -91,5 +91,5 @@
 $lang['Month'] = 'Сар';
 $lang['Move'] = 'Зөөх';
-$lang['Move albums'] = 'Цомогыг зөөх';
+$lang['Move albums'] = 'Цомгийг зөөх';
 $lang['Move to album'] = 'Цомог уруу зөөх';
 $lang['Informations'] = 'Мэдээллийн эмхэтгэл';
@@ -118,5 +118,5 @@
 $lang['Everybody'] = 'Бүх хүн';
 $lang['Edit photo information'] = 'Зурагны мэдээллийг засах';
-$lang['Edit album'] = 'Цомогыг засах';
+$lang['Edit album'] = 'Цомгийг засах';
 $lang['ERROR'] = 'АЛДАА';
 $lang['Correction'] = 'Засах арга';
@@ -198,5 +198,5 @@
 $lang['There is no group in this gallery.'] = 'Энэ цомогт ямар нэгэн бүлэг хамааралгүй байна.';
 $lang['Add group'] = 'Бүлэг нэмэх';
-$lang['Album updated successfully'] = 'Цомогыг амжилттай шинэчиллээ';
+$lang['Album updated successfully'] = 'Цомгийг амжилттай шинэчиллээ';
 $lang['Administration Home'] = 'Удирдлага';
 $lang['ACCESS_5'] = 'Эрх байхгүй';
@@ -208,5 +208,5 @@
 $lang['Dump Database'] = 'Мэдээллийг санг устгах';
 $lang['Download,'] = 'Татаж авах,';
-$lang['Delete selected tags'] = 'Устгах';
+$lang['Delete selected tags'] = 'Сонгосон үгсийг устгах';
 $lang['Delete selected users'] = 'Сонгосон хэрэглэгчийг устгах';
 $lang['Database'] = 'Өгөгдлийн сан';
@@ -264,14 +264,14 @@
 $lang['Width'] = 'Өргөн';
 $lang['Week starts on'] = 'Долоо хоног эхлэх өдөр';
-$lang['Webmaster cannot be deleted'] = 'Вебмастерийг устгах боломжгүй';
+$lang['Webmaster cannot be deleted'] = 'Вебмастерийн бүртгэлийг устгах боломжгүй';
 $lang['Webmaster status is required.'] = 'Вебмастерийн эрх шаардлагатай';
 $lang['Who can see these photos?'] = 'Зургийг үзэх эрхтэй бүлэг?';
 $lang['Who can see this photo?'] = 'Зургийг үзэх эрхтэй бүлэг?';
 $lang['Manage tags'] = 'Түлхүүр үгсийг цэгцлэх';
-$lang['%d tags'] = '%d -н түлхүүр үг';
+$lang['%d tags'] = '%d-н түлхүүр үг';
 $lang['The %d following tags were deleted'] = 'Дараахь %d түлхүүр үгсийг устгалаа';
 $lang['All %d photos are selected'] = 'Нийт %d зураг сонгосон байна';
-$lang['Duplicate selected tags'] = 'Хувилах';
-$lang['Merge selected tags'] = 'Нэгтгэх';
+$lang['Duplicate selected tags'] = 'Сонгосон үгсийг хувилах';
+$lang['Merge selected tags'] = 'Сонгосон үгсийг нэгтгэх';
 $lang['selection'] = 'сонголт';
 $lang['Select at least one album'] = 'Дор хаяж нэг цомог сонгоно уу';
@@ -284,7 +284,7 @@
 $lang['Deletions'] = 'Устгах';
 $lang['set to'] = 'өөрчлөх';
-$lang['You have %d orphan tags: %s.'] = 'Нийт %d -н сондгой түлхүүр үгс байна: %s.';
-$lang['Delete orphan tags'] = 'Сондгой түлхүүр үгсийг устгах';
-$lang['Orphan tags deleted'] = 'Сондгой түлхүүр үгсийг амжилттай устгалаа';
+$lang['You have %d orphan tags: %s.'] = 'Нийт %d-н ашиглагдаагүй түлхүүр үгс байна: %s.';
+$lang['Delete orphan tags'] = 'Ашиглагдаагүй түлхүүр үгсийг устгах';
+$lang['Orphan tags deleted'] = 'Ашиглагдаагүй түлхүүр үгсийг устгалаа';
 $lang['Inactive Languages'] = 'Идэвхжүүлээгүй байгаа хэл';
 $lang['Album "%s" has been added'] = '"%s" цомгийг амжилттай нэмлээ';
@@ -422,5 +422,5 @@
 $lang['Show info'] = 'Мэдээллийг харах';
 $lang['Graphics Library'] = 'Зургийн программ';
-$lang['%d associations'] = 'нийт %d утга';
+$lang['%d associations'] = 'нийт %d холбоотой зураг';
 $lang[' and %d virtual'] = ' ба %d хийсвэр';
 $lang[' and %d virtuals'] = ' ба %d хийсвэр';
@@ -524,5 +524,5 @@
 $lang['User %s added'] = 'Хэрэглэгч  %s-г амжилттай нэмлээ';
 $lang['user "%s" added'] = 'Хэрэглэгч "%s"-г амжилттай нэмлээ';
-$lang['albums added in the database'] = 'цомогыг мэдээллийн санд амжилттай нэмлээ';
+$lang['albums added in the database'] = 'цомгийг мэдээллийн санд амжилттай нэмлээ';
 $lang['photos added in the database'] = 'зургийг мэдээллийн санд нэмлээ';
 $lang['User %s [%s] was not added to the subscription list.'] = 'Хэрэглэгч %s [%s]-г шинэ мэдээний санд бүртгэж чадсангүй.';
@@ -611,5 +611,5 @@
 $lang['Change username'] = 'Хэрэглэгчийн нэр солих';
 $lang['Available only with HTML format'] = 'Зөвхөн HTML хэлбэрээр боломжтой';
-$lang['Batch Manager'] = 'Цэгцлэх';
+$lang['Batch Manager'] = 'Бөөнд нь цэгцлэх';
 $lang['Basic settings'] = 'Үндсэн тохиргоо';
 $lang['Apply watermark if height is bigger than'] = 'Өндөр нь их үед усан хээг ашиглах';