Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 26693)
+++ /trunk/language/mn_MN/common.lang.php	(revision 26694)
@@ -175,5 +175,5 @@
 $lang['Enter your personnal informations'] = 'Мэдээллээ оруулна уу';
 $lang['Error sending email'] = 'И-мэйлийг илгээхэд алдаа гарлаа';
-$lang['Expand all albums'] = 'Бүх цомогыг дэлгэх';
+$lang['Expand all albums'] = 'Бүх цомгийг дэлгэх';
 $lang['Display'] = 'Харуулах';
 $lang['Download'] = 'татах';
@@ -229,5 +229,5 @@
 $lang['%d rate'] = '%d үнэлгээ';
 $lang['%d rates'] = '%d үнэлгээ';
-$lang['display each day with photos, month per month'] = 'зураг авсан өдрүүдээр нь ангилж харах';
+$lang['display each day with photos, month per month'] = 'зураг авсан өдрөөр нь ангилж харах';
 $lang['return to the display of all photos'] = 'бүх зургийг харуулах';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Piwigo гэрэл зургын галерейд тавтай морилно уу!';
@@ -236,5 +236,5 @@
 $lang['delete this photo from your favorites'] = 'энэ зургийг дуртай зурагнаасаа хасах';
 $lang['display your favorites photos'] = 'дуртай зурагнуудаа харах';
-$lang['The number of photos per page must be a not null scalar'] = 'Нэг хуудсанд харуулах зургын тоо 0-с их байх ёстой';
+$lang['The number of photos per page must be a not null scalar'] = 'Нэг хуудсанд харуулах зургийн тоо 0-с их байх ёстой';
 $lang['I want to add photos'] = 'Би зураг оруулмаар байна';
 $lang['Number of photos per page'] = 'Нэг хуудасанд харагдах зургын тоо';
@@ -245,7 +245,7 @@
 $lang['%d comments to validate'] = 'баталгаажуулалт хүлээж буй сэтгэгдэл %d';
 $lang['Visits'] = 'Үзсэн';
-$lang['Visits, high &rarr; low'] = 'Үзсэн, их &rarr; бага';
-$lang['Visits, low &rarr; high'] = 'Үзсэн, бага &rarr; их';
-$lang['display all photos in all sub-albums'] = 'Дэд цомогт байгаа бүх зурагыг харуулах';
+$lang['Visits, high &rarr; low'] = 'Үзсэн тоогоор, их &rarr; бага';
+$lang['Visits, low &rarr; high'] = 'Үзсэн тоогоор, бага &rarr; их';
+$lang['display all photos in all sub-albums'] = 'Дэд цомогт байгаа бүх зургийг харуулах';
 $lang['in %d sub-album'] = '%d дэд цомогт байна';
 $lang['in %d sub-albums'] = '%d дэд цомогт байна';
@@ -259,15 +259,15 @@
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = '﻿﻿RSS буюу шинэчлэл тандагчийг идэвхжүүлж энэ блог/сайтийн шинэ зураг, бичлэг, сэтгэгдэл, шинэчлэлтийн талаарх мэдээллийг тодорхой давтамжаар тоймлон хүлээж аваарай.';
 $lang['Notification'] = 'Шинэчлэл тандагч';
-$lang['display a calendar by posted date'] = 'Нийтэлсэн огноогоор нь харуулах';
-$lang['display a calendar by creation date'] = 'зураг авсан огноогоор харуулах';
-$lang['display available tags'] = 'түлхүүр үгсүүдыг харуулах';
+$lang['display a calendar by posted date'] = 'Нийтэлсэн огноогоор';
+$lang['display a calendar by creation date'] = 'Зураг авсан огноогоор';
+$lang['display available tags'] = 'боломжтой түлхүүр үгсийг харуулах';
 $lang['display a set of random photos'] = 'дурын зургуудыг түүж харуулах';
 $lang['display last user comments'] = 'сүүлд бичсэн сэтгэгдэлийг харуулах';
-$lang['display only recently posted photos'] = 'зөвхөн саяхан нийтэлсэн зургуудыг харуулах';
-$lang['display photos linked to this tag'] = 'энэ түлхүүр үгтэй холбоотой зургуудыг харуулах';
-$lang['display this album'] = 'энэ цомогыг харуулах';
-$lang['display most visited photos'] = 'хамгийн их үзсэн зургуудыг харуулах';
-$lang['display best rated photos'] = 'өндөр үнэлгээтэй зургуудыг харуулах';
-$lang['Recent albums'] = 'Шинэ цомог';
+$lang['display only recently posted photos'] = 'зөвхөн саяхан нийтэлсэн зургийг харуулах';
+$lang['display photos linked to this tag'] = 'энэ түлхүүр үгтэй холбоотой зургийг харуулах';
+$lang['display this album'] = 'энэ цомгийг харуулах';
+$lang['display most visited photos'] = 'хамгийн их үзсэн зургийг харуулах';
+$lang['display best rated photos'] = 'өндөр үнэлгээтэй зургийг харуулах';
+$lang['Recent albums'] = 'Шинэчилсэн цомог';
 $lang['display most recent photos'] = 'саяхан нийтэлсэн зургийг харуулах';
 $lang['Recent photos'] = 'Саяхан нийтэлсэн';
@@ -306,5 +306,5 @@
 $lang['Email address is mandatory'] = 'Имэйл хаяг заавал шаардлагатай';
 $lang['Previous'] = 'Өмнөх';
-$lang['Show file metadata'] = 'Зургын файлын дэлгэрэнгүй мэдээллийг харуулах';
+$lang['Show file metadata'] = 'Зургийн файлын дэлгэрэнгүй мэдээллийг харуулах';
 $lang['Specials'] = 'Сонгож харах';
 $lang['this login is already used'] = 'Уучлаарай, ийм нэрээр бүртгүүлэх боломжгүй.';