Index: /extensions/UserAdvManager/trunk/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/sk_SK/plugin.lang.php	(revision 26705)
+++ /extensions/UserAdvManager/trunk/language/sk_SK/plugin.lang.php	(revision 26706)
@@ -76,3 +76,49 @@
 $lang['UAM_submit'] = 'Odoslať nastavenia';
 $lang['personal_content'] = 'Obsah';
+$lang['UAM_GTAutoGp'] = 'Automatická zmena skupiny/stavu/úrovne súkromia';
+$lang['UAM_GTAutoMail'] = 'Automatické zasielanie emailu pri zmene skupiny/stavu/úrovne súkromia';
+$lang['UAM_GTAutomail_Subject'] = 'Prispôsobiť automatickú emailovú hlavičku pri degradácii GhostTrackerom';
+$lang['UAM_GTAutomail_Text'] = 'Prispôsobiť text degradačného emailu';
+$lang['UAM_GTReminder_Subject'] = 'Prispôsobiť hlavičku automatického pripomienkového emailu z GhostTrackera';
+$lang['UAM_GT_Init'] = 'Spúšťanie GhostTrackera';
+$lang['UAM_GT_Reset'] = 'Vynulovanie GhostTrackera';
+$lang['UAM_GhostTracker'] = 'Správa fantómových užívateľov (GhostTracker)';
+$lang['UAM_GhostTracker_Init_OK'] = 'Vynulovanie Ghost Trackera úspešné!';
+$lang['UAM_GhostTracker_ReminderText'] = 'Prispôsobiť pripomienkovú správu GhostTrackera';
+$lang['UAM_Title3'] = 'Správa fantómových užívateľov';
+$lang['UAM_Username_Char_true'] = 'Zakázané znaky<br/>(Použite čiarku na oddelenie znakov)<br/><br/>';
+$lang['UAM_MailExclusion'] = 'Vynechanie emailových domén';
+$lang['UAM_Update of %s'] = 'Profil %s aktualizovaný';
+$lang['UAM_group "%s" updated'] = 'Pre lepši výkon bola skupina %s nastavená ako predvolená skupina.';
+$lang['UAM_infos_mail %s'] = '%s, tu nájdete informácie pre prihlásenie sa do svojej galérie: ';
+$lang['UAM_No_reminder_for_Webmaster'] = 'Účet "Webmaster" nepodlieha zasielaniu pripomienok z GhostTrackera';
+$lang['UAM_No_reminder_for_default_user'] = 'Váš predvolený účet nepodlieha zasielaniu pripomienok z GhostTrackera';
+$lang['UAM_No_reminder_for_your_account'] = 'Váš osobný administrátorský účet nepodlieha zasielaniu pripomienok z GhostTrackera';
+$lang['UAM_No_validation_for_Guest'] = 'Účet "hosť" nepodlieha potvrdeniu';
+$lang['UAM_Subject admin validation for %s'] = 'Registrácie pre %s čaká na schválenie';
+$lang['UAM_No_validation_for_Webmaster'] = 'Účet "Webmaster" nepodlieha potvrdeniu';
+$lang['UAM_No_validation_for_default_user'] = 'Predvolený účet nepodlieha potvrdeniu';
+$lang['UAM_No_validation_for_your_account'] = 'Váš súkromný administrátorský účet nepodlieha potvrdeniu';
+$lang['UAM_RedirToProfile'] = 'Presmerovať na stránku úprav';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, Váš potvrdzovací kľúč bol obnovený';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, Váš potvrdzovací kľúč vyprší';
+$lang['UAM_Restoration_NOK'] = 'Pri obnovovaní nastavenia došlo k chybe. Skontrolujte si prosím správnosť vášho súboru zálohy.';
+$lang['UAM_Restoration_OK'] = 'Obnovenie vášho nastavenia bolo úspešné! Znovu načítajte administrátorskú stránku UAM, aby ste zobrazili obnovené nastavenia.';
+$lang['UAM_Tab_GhostTracker'] = 'GhostTracker';
+$lang['UAM_SubTitle4'] = 'GhostTracker';
+$lang['UAM_MailInfo_Subject'] = 'Upraviť predmet informačného emailu';
+$lang['UAM_Manual_validation_needed_for %s'] = 'Užívateľ %s bol zaregistrovaný a očakáva manuálne overenie administrátorom.';
+$lang['UAM_No_Confirm_Group'] = 'Skupina pre užívateľov, ktorí ešte nepotvrdili svoju registráciu<br/>';
+$lang['UAM_No_Confirm_Status'] = 'Stav pre užívateľov, ktorí ešte nepotvrdili svoju registráciu<br/>';
+$lang['UAM_No_Ghosts'] = 'V tomto momente žiadni fantómoví užívatelia';
+$lang['UAM_No_Userlist'] = 'V tomto momente žiadni hostia';
+$lang['UAM_No_Usermanager'] = 'V tomto momente žiadne nepotvrdené registrácie';
+$lang['UAM_No_Valid_Level'] = 'Úroveň súkromia pre užívateľov, ktorí nepotvrdili svoju registráciu<br/>';
+$lang['UAM_No_reminder_for_Guest'] = 'Účet typu "hosť" nedostáva pripomienky z GhostTrackera';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - verzia: ';
+$lang['UAM_USRAuto'] = 'Automatická správa nepotvrdených užívateľov';
+$lang['UAM_Stuffs_Desc'] = 'Pridať informačný bok pre nepotvrdených užívateľov';
+$lang['UAM_Stuffs'] = 'Blokovanie PWG Stuffs';
+$lang['UAM_RejectConnexion'] = 'Odmietnuť užívateľove pripojenie pokiaľ nebude potvrdená registrácia';
+$lang['UAM_Username_Char'] = 'Užívateľské mená: Vynechané znaky';
 ?>